Package org.eclipse.net4j.util.ui.widgets

# Class EntryField.FieldConfig

java.lang.Object
org.eclipse.net4j.util.ui.widgets.EntryField.FieldConfig

Enclosing class:
  `EntryField`

public static final class EntryField.FieldConfig extends Object

Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`FieldConfig()`
`FieldConfig(EntryField.FieldConfig source)`

## Method Summary

Modifier and Type
Method
Description
`Consumer<EntryField>`
`getDirtyHandler()`
`Consumer<EntryField>`
`getEmptyHandler()`
`String`
`getEmptyHint()`
`Color`
`getEntryBackground()`
`EntryControlAdvisor`
`getEntryControlAdvisor()`
`EntryControlAdvisor.ControlConfig`
`getEntryControlConfig()`
`EntryField.ButtonAdvisor[]`
`getExtraButtonAdvisors()`
`Consumer<EntryField>`
`getPreviewModeHandler()`
`UnaryOperator<String>`
`getPreviewProvider()`
`boolean`
`isEditModeForbidden()`
`boolean`
`isInitialPreviewMode()`
`void`
`setDirtyHandler(Consumer<EntryField> dirtyHandler)`
`void`
`setEditModeForbidden(boolean editModeForbidden)`
`void`
`setEmptyHandler(Consumer<EntryField> emptyHandler)`
`void`
`setEmptyHint(String emptyHint)`
`void`
`setEntryBackground(Color entryBackground)`
`void`
`setEntryControlAdvisor(EntryControlAdvisor entryControlAdvisor)`
`void`
`setEntryControlConfig(EntryControlAdvisor.ControlConfig entryControlConfig)`
`void`
`setExtraButtonAdvisors(EntryField.ButtonAdvisor... extraButtonAdvisors)`
`void`
`setInitialPreviewMode(boolean initialPreviewMode)`
`void`
`setPreviewModeHandler(Consumer<EntryField> previewModeHandler)`
`void`
`setPreviewProvider(UnaryOperator<String> previewProvider)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FieldConfig

public FieldConfig()

### FieldConfig

public FieldConfig(EntryField.FieldConfig source)

## Method Details

### getEntryBackground

public Color getEntryBackground()

### setEntryBackground

public void setEntryBackground(Color entryBackground)

### getEntryControlAdvisor

public EntryControlAdvisor getEntryControlAdvisor()

### setEntryControlAdvisor

public void setEntryControlAdvisor(EntryControlAdvisor entryControlAdvisor)

### getEntryControlConfig

public EntryControlAdvisor.ControlConfig getEntryControlConfig()

### setEntryControlConfig

public void setEntryControlConfig(EntryControlAdvisor.ControlConfig entryControlConfig)

### getEmptyHint

public String getEmptyHint()

### setEmptyHint

public void setEmptyHint(String emptyHint)

### getPreviewProvider

public UnaryOperator<String> getPreviewProvider()

### setPreviewProvider

public void setPreviewProvider(UnaryOperator<String> previewProvider)

### isInitialPreviewMode

public boolean isInitialPreviewMode()

### setInitialPreviewMode

public void setInitialPreviewMode(boolean initialPreviewMode)

### isEditModeForbidden

public boolean isEditModeForbidden()

Since:
  3.21

### setEditModeForbidden

public void setEditModeForbidden(boolean editModeForbidden)

Since:
  3.21

### getExtraButtonAdvisors

public EntryField.ButtonAdvisor[] getExtraButtonAdvisors()

### setExtraButtonAdvisors

public void setExtraButtonAdvisors(EntryField.ButtonAdvisor... extraButtonAdvisors)

### getEmptyHandler

public Consumer<EntryField> getEmptyHandler()

### setEmptyHandler

public void setEmptyHandler(Consumer<EntryField> emptyHandler)

### getDirtyHandler

public Consumer<EntryField> getDirtyHandler()

### setDirtyHandler

public void setDirtyHandler(Consumer<EntryField> dirtyHandler)

### getPreviewModeHandler

public Consumer<EntryField> getPreviewModeHandler()

### setPreviewModeHandler

public void setPreviewModeHandler(Consumer<EntryField> previewModeHandler)